<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

require_once SD_TRUST_PATH . '/class/AbstractEditAction.class.php';

/**
 * Sd_AbstractDeleteAction
**/
class Sd_AbstractDeleteAction extends Sd_AbstractEditAction
{
    /**
     * _isEnableCreate
     * 
     * @param   void
     * 
     * @return  bool
     * 
     * @protected
    **/
    function _isEnableCreate()
    {
        return false;
    }

    /**
     * prepare
     * 
     * @param   void
     * 
     * @return  bool
     * 
     * @public
    **/
    function prepare()
    {
        return parent::prepare() && is_object($this->mObject);
    }

    /**
     * _doExecute
     * 
     * @param   void
     * 
     * @return  Enum
     * 
     * @protected
    **/
    function _doExecute()
    {
        if($this->mObjectHandler->delete($this->mObject))
        {
            return SD_FRAME_VIEW_SUCCESS;
        }
    
        return SD_FRAME_VIEW_ERROR;
    }
}

?>
