<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

/**
 * Sd_ElementObject
**/
class Sd_ElementObject extends XoopsSimpleObject
{
    /**
     * Sd_ElementObject
     * 
     * @param   void
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_ElementObject()
    {
        $this->initVar('eno', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_aqua', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_flame', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_wood', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_wind', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_iron', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_life', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_earth', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_thunder', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_light', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_star', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_dark', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_at_flower', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_aqua', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_flame', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_wood', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_wind', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_iron', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_life', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_earth', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_thunder', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_light', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_star', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_dark', XOBJ_DTYPE_INT, '', false);
        $this->initVar('ele_df_flower', XOBJ_DTYPE_INT, '', false);
    }
}

/**
 * Sd_ElementHandler
**/
class Sd_ElementHandler extends XoopsObjectGenericHandler
{
    /**
     * @var  string
     * 
     * @public
    **/
    var $mTable = '{dirname}_element';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mPrimary = 'eno';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mClass = 'Sd_ElementObject';

    /**
     * Sd_ElementHandler
     * 
     * @param   XoopsDatabase  &$db
     * @param   string  $dirname
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_ElementHandler(&$db,$dirname)
    {
        $this->mTable = str_replace('{dirname}',$dirname,$this->mTable);
        parent::XoopsObjectGenericHandler($db);
    }
}

?>
