<?php
/**
 * @file
 * @package sd
 * @version $Id$
**/

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

/**
 * Sd_SkillObject
**/
class Sd_SkillObject extends XoopsSimpleObject
{
    /**
     * Sd_SkillObject
     * 
     * @param   void
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_SkillObject()
    {
        $this->initVar('skill_id', XOBJ_DTYPE_INT, '', false);
        $this->initVar('skill_name', XOBJ_DTYPE_STRING, '', false, 50);
        $this->initVar('description', XOBJ_DTYPE_STRING, '', false, 255);
        $this->initVar('range', XOBJ_DTYPE_INT, '', false);
        $this->initVar('target', XOBJ_DTYPE_INT, '', false);
//        $this->initVar('element', XOBJ_DTYPE_INT, '', false);
        $this->initVar('element', XOBJ_DTYPE_STRING, '', false);
        $this->initVar('kind', XOBJ_DTYPE_INT, '', false);
        $this->initVar('tp', XOBJ_DTYPE_INT, '', false);
        $this->initVar('regist_time', XOBJ_DTYPE_INT, '', false);
    }
}

/**
 * Sd_SkillHandler
**/
class Sd_SkillHandler extends XoopsObjectGenericHandler
{
    /**
     * @var  string
     * 
     * @public
    **/
    var $mTable = '{dirname}_skill';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mPrimary = 'skill_id';

    /**
     * @var  string
     * 
     * @public
    **/
    var $mClass = 'Sd_SkillObject';

    /**
     * Sd_SkillHandler
     * 
     * @param   XoopsDatabase  &$db
     * @param   string  $dirname
     * 
     * @return  void
     * 
     * @public
    **/
    function Sd_SkillHandler(&$db,$dirname)
    {
        $this->mTable = str_replace('{dirname}',$dirname,$this->mTable);
        parent::XoopsObjectGenericHandler($db);
    }
}

?>
